Subject: Re: [RFC] rt2400: fix breakage from API changes

From: Ivo van Doorn <[email-masked]>
Date: Fri, 1 Dec 2006 23:22:58 +0100

Hi,

> Here's my whack at fixing-up the rt2400pci driver to compile, since
> the recent API changes broke it.  This only covers that one driver,
> so lots more (albeit similar) work needs to be done to cover the
> other rt2x00 family drivers.
> 
> Ivo and Johannes, please take a quick look to see if I'm obviously
> missing something or handling something incorrectly.  I don't have
> the hardware in questions, so this is completely untested. :-)

Patch looks good.
I believe I could have a patchseries available next weekend (December 9th)
that will update rt2x00 to the latest cvs version.
Its been a while since my last patch series to the wireless-dev tree,
but that was because I was quite busy the last months.
I'll start working on the patchs series this week, so they should be done
at the end of the week. That should save you some time working on
unknown code ;) And will provide a version that has been well tested. :)

Ivo